Contributing to Google Calendar script
==================================

:+1::tada: It seems you would like to contribute to the Google Calendar script for Nuvola Player.
Great to have you here. Here are a few ways you can help make this script better! :tada::+1:

Support & Bug Reporting
-----------------------

Whenever you encounter a bug in Nuvola Player, don't hesitate to report it. **First of all, it is
necessary to submit your issue to the right place.**

### Tiliado.eu Website

If you have trouble with with **Tiliado.eu website** (tiliado.eu domain), your Tiliado account and
memberships, contact [Tiliado support](mailto:support@tiliado.eu).

### Tiliado Repositories

If you have trouble with **Tiliado Repositories**, Tiliado Repository Installer and installation of
Nuvola Player from Tiliado Repositories, report your issue at
[Tiliado Repositories bug tracker](https://github.com/tiliado/tiliado-repositories/issues).

### Nuvola Player and Streaming Services

If you have any issue with the **Nuvola Player application** and supported streaming services,

 1. Check the
    [List of Known Issues](https://github.com/tiliado/nuvolaplayer/wiki/Known-Issues) first.
 2. Take a brief look at
    [Nuvola Player documentation](http://tiliado.github.io/nuvolaplayer/documentation/3.0.html)
    as it might be helpful.
 3. Finally, follow 
    [the Bug Reporting Guidelines](https://github.com/tiliado/nuvolaplayer/wiki/Bug-Reporting-Guidelines)
    to create a new bug report.

Development & Hacking
---------------------
 
If you would like to contribute some code to this repository, welcome aboard and read on! :+1:

### Documentation

  * See [Service Integration Development website](http://tiliado.github.io/nuvolaplayer/development/apps.html)
  * or ask a question at [the nuvola-player-devel mailing list](https://groups.google.com/d/forum/nuvola-player-devel).

### Developers without commit access to this repository

  * Clone/fork the master branch via GitHub or `git clone`.
  * Don't work on the master branch directly, but create a feature/topic/devel branch via
    `git checkout -b branch-name`. Use meaningful branch name.
  * Make your commits and follow
    [guidelines for commit messages](http://tiliado.github.io/nuvolaplayer/development/apps/guidelines.html#commit-messages).
  * Push your feature branch to GitHub.
  * Create a pull request following
    [guidelines for pull requests](http://tiliado.github.io/nuvolaplayer/development/apps/guidelines.html#pull-requests).

### Developers with commit access to this repository
 
  * Keep the `master` branch clean and functional, because it's the stable/production/release
    branch.
  * For one-commit changes without a need of code review, work directly on the master branch.
    Follow
    [guidelines for commit messages](http://tiliado.github.io/nuvolaplayer/development/apps/guidelines.html#commit-messages).
  * For large changes, use feature/topic/devel branches. You can experiment and break things in
    these branches, but they must be stable and functional when they are about to be merged back to
    master. Follow
    [guidelines for commit messages](http://tiliado.github.io/nuvolaplayer/development/apps/guidelines.html#commit-messages).
  * Create a GitHub pull request following
    [guidelines for pull requests](http://tiliado.github.io/nuvolaplayer/development/apps/guidelines.html#pull-requests)
    if you would like to have a code review (preferred). Otherwise, feel free to perform a merge
    on your own following
    [guidelines for merge commits](http://tiliado.github.io/nuvolaplayer/development/apps/guidelines.html#merge-commits).
